/* 相談予約フォームボタン */
a[title*='無料相談予約はこちらから'].post-more-block {
	background-color: #fa7832;
	border: 2px solid #fa7832;
	color: #fff;
}

a[title*='無料相談予約はこちらから'].post-more-block .link-text {
	font-size: 20px;
}

a[title*='無料相談予約はこちらから'].post-more-block .link-text::after {
	border-color: #fff;
}

*:has(+ a[title*='無料相談予約はこちらから'].post-more-block) {
	color: #333;
}

*:has(+ a[title*='無料相談予約はこちらから'].post-more-block)::before {
	content: '\FF3C'; /* バックスラッシュ */
	margin-right: 4px;
}

*:has(+ a[title*='無料相談予約はこちらから'].post-more-block)::after {
	content: '\FF0F'; /* スラッシュ */
	margin-left: 4px;
}

/* 10秒に1回自動で動く光のライン */
a[title*='無料相談予約はこちらから'].post-more-block {
	position: relative;
	overflow: hidden;
}

a[title*='無料相談予約はこちらから'].post-more-block::before {
	position: absolute;
	top: 0;
	left: -75%;
	z-index: 2;
	display: block;
	content: '';
	width: 50%;
	height: 100%;
	background: -webkit-linear-gradient(
		left,
		rgba(255, 255, 255, 0) 0%,
		rgba(255, 255, 255, 0.3) 100%
	);
	background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.3) 100%);
	-webkit-transform: skewX(-25deg);
	transform: skewX(-25deg);
	-webkit-animation: shine-loop 10s infinite ease;
	animation: shine-loop 10s infinite ease;
}

a[title*='無料相談予約はこちらから'].post-more-block:hover::before {
	-webkit-animation: shine-hover 0.75s ease 0s 1 forwards;
	animation: shine-hover 0.75s ease 0s 1 forwards;
}

/* --- アニメーション定義 --- */

/* 10秒周期用（最初の9.25秒は待機し、最後の0.75秒で光る） */
@-webkit-keyframes shine-loop {
	0%,
	92.5% {
		left: -75%;
	}
	100% {
		left: 125%;
	}
}
@keyframes shine-loop {
	0%,
	92.5% {
		left: -75%;
	}
	100% {
		left: 125%;
	}
}

/* ホバー時用 */
@-webkit-keyframes shine-hover {
	0% {
		left: -75%;
	}
	100% {
		left: 125%;
	}
}
@keyframes shine-hover {
	0% {
		left: -75%;
	}
	100% {
		left: 125%;
	}
}
